> For the complete documentation index, see [llms.txt](https://docs.aiforglobaleducation.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aiforglobaleducation.org/product-docs/diagrams/markdown.md).

# Database Entity Relationship

{% @mermaid/diagram content="erDiagram
USERS ||--o{ RUNS : creates
RUNS ||--o{ TRANSCRIPTS : contains
RUNS ||--o{ REPORTS : generates
RUNS }o--|| SCENARIOS : uses
RUNS }o--|| MODELS : tests

```
USERS {
    uuid id PK
    string email
    string role
}
RUNS {
    uuid id PK
    uuid user_id FK
    string status
    jsonb config
    timestamp created_at
}
TRANSCRIPTS {
    uuid id PK
    uuid run_id FK
    jsonb messages
    jsonb scores
}
REPORTS {
    uuid id PK
    uuid run_id FK
    text summary
    jsonb data
}
SCENARIOS {
    uuid id PK
    string name
    string category
    text system_prompt
}
MODELS {
    uuid id PK
    string provider
    string model_name
    boolean active
}
```

" fullWidth="true" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aiforglobaleducation.org/product-docs/diagrams/markdown.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
